<?php
if (!function_exists('num_fix')) {
    function num_fix($val)
    {
        return is_numeric($val) ? $val + 0 : 0;
    }
}

if (!function_exists('fix_operands')) {
    function fix_operands(&$a, &$b)
    {
        $a = num_fix($a);
        $b = num_fix($b);
    }
}
